%                     Universita' di Ferrara                       %
%                                                                  %
%                Corso di informatica industriale                  %
%                                                                  %
%                  funzione checkfigura - esercizio 1              %
%                   Esercizi avanzati - 6/3/2009                   %
%******************************************************************%
%
%   function out=checkfigura(p,schema)
%
% La funzione restituisce un valore logico a seconda se il punto p
% (vettore, coordinate [x y]) appartiene o meno alla figura definita da
% sottifigure in schema


function out=checkfigura(p,schema)

%Valuto la dimensione dello schema, colonne saranno 4, le righe sono
%incognite
[righe,colonne]=size(schema);

%inizializzo l'uscita, in caso negativo
out=0;

for i=1:righe
    if puntocheck(p,schema(i,:)) %se il punto appartiene ad una sottofigura
        out=1;
        break;  %basta l'appartenenza ad una sola figura
    end
end