%                     Universita' di Ferrara                       %
%                                                                  %
%                Corso di informatica industriale                  %
%                                                                  %
%                  funzione puntocheck - esercizio 1               %
%                   Esercizi avanzati - 6/3/2009                   %
%******************************************************************%
%
%   function out=puntocheck(p,figura)
%
% La funzione valuta l'appartenenza del punto p (definito dalle due
% coordinate x e y) alla figura (vettore 4 elementi, definita come nel
% testo). Se l'appartenenza  verificata restituisce '1', altrimenti '0'
% (NB: valore '-1' se figura indefinita, se si vuole gestire anche questa
% eventualit

function out=puntocheck(p,figura)

out=0;

if figura(1)== 1 % un cerchio
    if ((p(1)-figura(2))^2+(p(2) - figura(3))^2)<=figura(4)^2 %condizione appartenenza cerchio
        out=1;
    end
elseif figura(1)== 2 %  un quadrato
    if p(1)>=figura(2) & p(1)<=figura(2)+figura(4) & p(2)<=figura(3)+figura(4) & p(2)>=figura(3) %condizione appartenenza quadrato
        out=1;
    end
else %figura indefinita
    disp('ATTENZIONE! la figura non  definita')
    out=-1;
end